package note.configuration.element;

import note.NoteApplication;
import note.command.AbstractCommand;
import note.command.PictureInputCommand;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * }`͋@\̐ݒvfB
 * 
 * @author camei
 * @version $Id: PictureInputFunctionConfigurationElement.java,v 1.2 2005/12/14 12:04:37 camei Exp $
 */
public class PictureInputFunctionConfigurationElement extends
		AbstractFunctionConfigurationElement {

	/***************************************************************************
	 * 萔
	 **************************************************************************/
	private static final String TAG_NAME = "pictureinput";
	private static final String NAME_ATTRIBUTE = "name";

	/***************************************************************************
	 * 
	 **************************************************************************/
	private String pictureName;// ͂}`̖O

	/***************************************************************************
	 * \bh
	 **************************************************************************/
	/*
	 * @see note.configuration.element.AbstractFunctionConfigurationElement#getTagName()
	 */
	public String getTagName() {
		return TAG_NAME;
	}

	public AbstractConfigurationElement getNewInstance() {
		return new PictureInputFunctionConfigurationElement();
	}

	public AbstractCommand getFunction(NoteApplication application) {
		return new PictureInputCommand(pictureName, application);
	}

	public void setValue(Element element) {
		pictureName = element.getAttribute(NAME_ATTRIBUTE);
	}

	public Element parseXMLElement(Document document) {
		Element element = document.createElement(TAG_NAME);

		element.setAttribute(NAME_ATTRIBUTE, pictureName);
		return element;
	}
}