package note.model.picture;

import java.awt.Point;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Point2D;

/**
 * ~}`̐݌v}B
 * 
 * @author camei
 * @version $Id: Circle.java,v 1.1 2006/01/25 11:56:16 camei Exp $
 */
public class Circle extends PictureDesign {

	/***************************************************************************
	 * 萔
	 **************************************************************************/
	private static final long serialVersionUID = 1L;

	/***************************************************************************
	 * ϐ
	 **************************************************************************/
	private int width = -1;
	private int height = -1;

	/**
	 * RXgN^B
	 * 
	 * @param width 
	 * @param height 
	 */
	public Circle(int width, int height) {
		super();

		this.width = width;
		this.height = height;

		// O
		setName("Circle");

		// ׂĂ̓_i~̔̓_j
		Point2D[] points = new Point[] { new Point(0, -height / 2),// leftTop
				new Point(width / 2, -height / 2),// top
				new Point(width, -height / 2), // rightTop
				new Point(width, 0), // right(end)
				new Point(width, height / 2), // rightBottom
				new Point(width / 2, height / 2), // bottom
				new Point(0, height / 2), // leftBottom
				new Point(0, 0) // left(begin)
		};
		setPoints(points);

		setBeginPos(7); // _
		setEndPos(3); // E_
		setControlsPos(new int[] { 1, 5 }); // A_

		// ΉI͈͂
		int selectionWidth = (int) (width / 1.4142);// K
		int selectionHeight = (int) (height / 1.4142);// K
		setSelection(new Rectangle((width - selectionWidth) / 2,
				-selectionHeight / 2, selectionWidth, selectionHeight));
	}

	/**
	 * @return }`݌v}Shape
	 */
	public Shape getShape() {
		// ~Shape𐶐Ė߂
		Point2D[] points = getPoints();
		double x = points[0].getX();
		double y = points[0].getY();
		return new Ellipse2D.Double(x, y, width, height);
	}
}
