/**
 * 
 */
package note.viewer;

import javax.swing.JScrollPane;
import javax.swing.event.UndoableEditListener;

import note.configuration.ApplicationConfiguration;
import note.model.NoteStyle;
import note.model.Page;

/**
 * y[W\XN[yCB<br>
 * XN[o[ƃy[W\B<br>
 * <br>
 * y[WƂ̃r[|[gۑ邽߂̃NXB<br>
 * 
 * @author camei
 * @version $Id: PagePane.java,v 1.8 2006/02/01 23:25:03 camei Exp $
 */
public class PagePane extends JScrollPane {

	/***************************************************************************
	 * 萔
	 **************************************************************************/
	private static final long serialVersionUID = 1L;

	/***************************************************************************
	 * 
	 **************************************************************************/
	// GUIi
	private PageViewer viewer;// ̃XN[yC\y[W\R|[lg

	/***************************************************************************
	 * \bh
	 **************************************************************************/
	/**
	 * RXgN^
	 */
	public PagePane(Page page, NoteStyle noteStyle, ApplicationConfiguration configuration,
			UndoableEditListener listener) {
		// XN[o[̕\@w肷
		super(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
				JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);

		// XN[yCɃy[W\R|[lgݒ肷
		viewer = new PageViewer(page, noteStyle, configuration, listener);
		getViewport().add(viewer);
		
		// tH[JX擾Ȃݒɂ
		setRequestFocusEnabled(false);
	}

	/***************************************************************************
	 * Getter & Setter
	 **************************************************************************/
	/**
	 * @return viewer ߂܂B
	 */
	public PageViewer getViewer() {
		return viewer;
	}
}
