package note;

import java.util.HashMap;

import note.model.Picture;
import note.model.picture.PictureDesign;
import note.model.picture.PreparePictures;

/**
 * Class RegisteredPictureMap
 * o^ꂽ}`̐݌v}̃}bvB
 * @author camei
 * @version $Id: RegisteredPictureMap.java,v 1.2 2006/01/25 11:56:24 camei Exp $
 */
public class RegisteredPictureMap {

	private HashMap registeredMap = new HashMap();

	public RegisteredPictureMap() {
		setDefaultPictures();
	}

	/**
	 * }`̃CX^X
	 * 
	 * @param name
	 * @return
	 */
//	public Picture create(String name) {
//		Picture picture = (Picture) registeredMap.get(name);
//		if (picture != null) {
//			return (Picture) picture.clone();
//		} else {
//			return null;
//		}
//	}
	
	public PictureDesign getPictureDesign(String name) {
		return (PictureDesign) registeredMap.get(name);
	}

	/**
	 * }`o^
	 * 
	 * @param picture
	 */
	public void add(PictureDesign pictureDesign) {
		registeredMap.put(pictureDesign.getName(), pictureDesign);
	}

	/**
	 * }`̓o^폜
	 * 
	 * @param picture
	 */
	public void remove(PictureDesign pictureDesign) {
		// }`̓o^폜
		registeredMap.remove(pictureDesign.getName());
	}

	private void setDefaultPictures() {
		// }`o^
		new PreparePictures(this);
	}

}