/*
 * Created on 2006/01/18
 *
 * Copyright (c) 2005 Nooto Poject.  All rights reserved.
 */
package note.command;

import java.awt.Point;
import java.util.List;

import javax.swing.text.BadLocationException;

import note.NoteApplication;
import note.model.AbstractElement;
import note.model.Group;
import note.model.Picture;
import note.model.PictureGroup;
import note.model.TextElement;
import note.model.TextGroup;
import note.viewer.PageViewer;


/**
 * Class ElementMoveCommand
 * I͈͂ړR}hB
 * @author user
 * @version $Id: ElementMoveCommand.java,v 1.1 2006/01/25 11:56:13 camei Exp $
 */
public class ElementMoveCommand extends AbstractCommand {

	private int dx;
	private int dy;
	
	/**
	 * 
	 * @param reciever
	 * @param group ړO[v
	 * @param dx ړdx
	 * @param dy ړdy
	 */
	public ElementMoveCommand(NoteApplication reciever, int dx, int dy) {
		super(reciever);
		this.dx = dx;
		this.dy = dy;
	}

	public Object clone() {
		return new ElementMoveCommand(getApplication(), dx, dy);
	}

	/**
	 * @return ݎs\
	 * @see note.command.AbstractCommand#canExecute()
	 */
	public boolean canExecute() {
		// TODO 
		// I͈͂Ύs\
		return true;
	}

	public void execute(){
		super.execute();
		
//		// TODO 
//		// ړΏۂɂď𕪂B
//		// TODO Ƃ肠ĂĂ
//		PageViewer pageViewer = getApplication().getNoteProcessorPane().getCurrentPagePane().getViewer();
//		List selectedElementList = pageViewer.getSelectedElementList();  
//		
//		for (int i = 0; i < selectedElementList.size(); i++) {
//			AbstractElement element = (AbstractElement)selectedElementList.get(i);
//
//			Group group = element.getParentGroup();
//			int localX = dx - group.getX();// O[vW
//			int localY = dy - group.getY();
//			
//			if (element instanceof Picture){
//				Picture picture = (Picture) element;
////				PictureGroup pictureGroup = (PictureGroup)picture.getParentGroup();
//				picture.setLocation(localX, localY);
//
//			} else if(element instanceof TextElement) {
//				// wӏɃeLXgvfړ
//				TextElement textElement = (TextElement) element;
//				TextGroup textGroup = (TextGroup) textElement.getParentGroup();
//				int to = textGroup.getTextPane().viewToModel(new Point(localX, localY));
//				try {
//					textGroup.insert(to, textElement);
//				} catch (BadLocationException e) {
//					e.printStackTrace();
//					throw new RuntimeException("viewToModel̖߂ls");
//				}
//			}
//		}
//		
//		// }`̏ꍇ
//		
//		// eLXg̏ꍇ
//		
//		// IĂȂꍇ
		
		PageViewer pageUI = getApplication().getNoteProcessorPane().getCurrentPagePane().getViewer();
		List selectedGroupList = pageUI.getSelectedGroupList();
		for (int i = 0; i < selectedGroupList.size(); i++) {
			Group group = (Group)selectedGroupList.get(i);
			group.translate(dx, dy);
		}
		
		repaint();
		
	}
	
	public boolean isUndoableEdit() {
		return false;
	}

}
