/**
 * 
 */
package note.configuration;

import java.util.ArrayList;
import java.util.List;

import note.configuration.element.AbstractFunctionConfigurationElement;
import note.configuration.element.KeyConfigurationElement;

/**
 * _x̃L[ݒ̂AeL[ݒ̎XgB<br>
 * L[ݒvfƋ@\ݒvf̃ZbgXgƂĎB<br>
 * 
 * @author camei
 * @version $Id: KeyMapConfiguration.java,v 1.1 2005/11/19 01:49:39 camei Exp $
 */
public class KeyMapConfiguration {

	/***************************************************************************
	 * 萔
	 **************************************************************************/
	private static final int INITIAL_ITEM_CAPACITY = 20;// ݒ胊Xg̏TCYi쑬xɉe܂j

	/***************************************************************************
	 * 
	 **************************************************************************/
	private List keyConfigurationMap = new ArrayList(INITIAL_ITEM_CAPACITY);// ݒ胊Xg
	private List recentKeyConfigurationMap = new ArrayList(INITIAL_ITEM_CAPACITY);// O̐ݒ胊Xg

	/***************************************************************************
	 * \bh
	 **************************************************************************/
	/**
	 * XgɐݒACeǉB
	 */
	public void add(KeyConfigurationElement key,
			AbstractFunctionConfigurationElement function) {
		keyConfigurationMap.add(new KeyAndFunctionSet(key, function));
	}

	/**
	 * Xg̎wʒuɂݒACeAw肳ꂽݒACeŒuB
	 */
	public void set(int index, KeyConfigurationElement key,
			AbstractFunctionConfigurationElement function) {
		keyConfigurationMap.set(index, new KeyAndFunctionSet(key, function));
	}

	/**
	 * Xg̎wʒuɂݒACe폜B
	 */
	public void remove(int index) {
		keyConfigurationMap.remove(index);
	}
	
	/**
	 * Xg̃TCY߂B
	 */
	public int size(){
		return keyConfigurationMap.size();
	}
	
	/**
	 * Xg̎wʒuɂL[ݒvf߂B 
	 */
	public  KeyConfigurationElement getKeyConfigurationElement(int index) {
		KeyAndFunctionSet set = (KeyAndFunctionSet)keyConfigurationMap.get(index);
		return set.getKey();
	}
	
	/**
	 * Xg̎wʒuɂ@\ݒvf߂B
	 */
	public AbstractFunctionConfigurationElement getFunctionConfigurationElement(int index){
		KeyAndFunctionSet set = (KeyAndFunctionSet)keyConfigurationMap.get(index);
		return set.getFunction();
	}

	/**
	 * ݒ肷
	 */
	public void decideConfiguration() {
		// ݒI
//		reflectConfiguration();// ݒ𔽉f
		recentKeyConfigurationMap = new ArrayList(keyConfigurationMap);// ݒȌԂXV
	}

	/**
	 * ݒ
	 */
	public void cancelConfiguration() {
		// ݒȌԂɖ߂
		keyConfigurationMap = new ArrayList(recentKeyConfigurationMap);
	}
}

/**
 * L[ݒvfƋ@\ݒvf̃Zbg
 * @author camei
 * @version $Id: KeyMapConfiguration.java,v 1.1 2005/11/19 01:49:39 camei Exp $
 */
class KeyAndFunctionSet {
	/***************************************************************************
	 * 
	 **************************************************************************/
	KeyConfigurationElement key;
	AbstractFunctionConfigurationElement function;

	/***************************************************************************
	 * \bh
	 **************************************************************************/
	/**
	 * RXgN^
	 */
	public KeyAndFunctionSet(KeyConfigurationElement key,
			AbstractFunctionConfigurationElement function) {
		this.key = key;
		this.function = function;
	}

	/***************************************************************************
	 * Getter & Setter
	 **************************************************************************/
	public AbstractFunctionConfigurationElement getFunction() {
		return function;
	}

	public KeyConfigurationElement getKey() {
		return key;
	}

}