package note.configuration.element;

import java.lang.reflect.Method;

import note.NoteApplication;
import note.command.AbstractCommand;
import note.command.SimpleCommand;
import note.model.PictureGroup;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class PictureSelectCommandElement extends
		AbstractFunctionConfigurationElement {
	/***************************************************************************
	 * 萔
	 **************************************************************************/
	private static final String TAG_NAME = "pictureselect";
	private static final String METHOD_NAME = "startSelecting";

	public AbstractCommand getFunction(NoteApplication reciever) {
		Method method;
		try {
			method = PictureGroup.class.getDeclaredMethod(METHOD_NAME, null);
			return new SimpleCommand(reciever, reciever, method);
		} catch (SecurityException e) {
			// TODO ꂽ catch ubN
			e.printStackTrace();
		} catch (NoSuchMethodException e) {
			// TODO ꂽ catch ubN
			e.printStackTrace();
		}
		throw new RuntimeException(METHOD_NAME + "͂܂");
	}

	public String getTagName() {
		return TAG_NAME;
	}

	public AbstractConfigurationElement getNewInstance() {
		return new PictureSelectCommandElement();
	}

	public void setValue(Element element) {
		// ɓǂݍޒl͖
	}

	public Element parseXMLElement(Document document) {
		return document.createElement(TAG_NAME);
	}

}
