/*
 * 쐬: 2005/07/14
 *
 * TODO ̐ꂽt@C̃ev[gύXɂ͎փWv:
 * EBhE - ݒ - Java - R[hEX^C - R[hEev[g
 */
package note.control;

import java.awt.event.KeyEvent;
import java.util.HashMap;

import javax.swing.ActionMap;
import javax.swing.InputMap;
import javax.swing.KeyStroke;

import note.command.AbstractCommand;
import note.control.action.NoteAction;

/**
 * L[ƃR}h̑ΉB<br>
 * 1̃L[ɑ΂1̃R}h֘AtB
 * 
 * @author Administrator
 * @version $Id: KeyCommandMap.java,v 1.2 2006/01/28 00:13:57 camei Exp $
 */
public class KeyCommandMap {
	
	/***************************************************************************
	 * ϐ
	 **************************************************************************/
	private HashMap commandMap = new HashMap();
	private InputMap inputMap = new InputMap();
	private ActionMap actionMap = new ActionMap();

	/***************************************************************************
	 * \bh
	 **************************************************************************/

	/**
	 * L[ɃR}h֘AtB
	 */
	public void putCommand(KeyStroke key, AbstractCommand command) {
		commandMap.put(key, command);
		inputMap.put(key, command);
		actionMap.put(command, new NoteAction(command.toString(), command));
	}

	/**
	 * L[ɃR}h֘AtB
	 */
	public void putCommand(int keyCode, int modifiers,
			AbstractCommand command) {
		putCommand(getKeyStroke(keyCode, modifiers), command);
	}

	/**
	 * L[Ɋ֘AtꂽR}h폜B
	 */
	public void removeCommand(KeyStroke key) {
		commandMap.remove(key);
		inputMap.remove(key);
	}

	/**
	 * L[Ɋ֘AtꂽR}h߂B
	 */
	public AbstractCommand getCommand(KeyStroke key) {
		return (AbstractCommand) commandMap.get(key);
	}

	/**
	 * L[Ɋ֘AtꂽR}h߂B
	 */
	public AbstractCommand getCommand(KeyEvent e) {
		return getCommand(getKeyStroke(e));
	}

	/**
	 * L[Ɋ֘AtꂽR}h߂B
	 */
	public AbstractCommand getCommand(int keyCode, int modifiers) {
		return getCommand(getKeyStroke(keyCode, modifiers));
	}

	/**
	 * @return L[Ɋ֘AtꂽR}h邩ǂ
	 */
	public boolean containsKey(KeyStroke key) {
		return commandMap.containsKey(key);
	}

	/**
	 * @return L[Ɋ֘AtꂽR}h邩ǂ
	 */
	public boolean containsKey(KeyEvent e) {
		return containsKey(getKeyStroke(e));
	}

	/**
	 * @return L[Ɋ֘AtꂽR}h邩ǂ
	 */
	public boolean containsKey(int keyCode, int modifiers) {
		return containsKey(getKeyStroke(keyCode, modifiers));
	}

	/*
	 * L[ӂɌ߂String߂
	 */
	private String getKeyCodeText(int keyCode, int modifier) {
		return KeyEvent.getKeyText(keyCode)
				+ KeyEvent.getKeyModifiersText(modifier);
	}

	/*
	 * L[ӂɌ߂String߂
	 */
	private String getKeyCodeText(KeyEvent e) {
		return getKeyCodeText(e.getKeyCode(), e.getModifiers());
	}
	
	/******
	 * InputMap ֘A
	 ***/
	public InputMap getInputMap(){
		return inputMap;
	}
	
	public static KeyStroke getKeyStroke(KeyEvent e) {
		return getKeyStroke(e.getKeyCode(), e.getModifiers());
	}
	public static KeyStroke getKeyStroke(int keyCode, int modifiers) {
		return KeyStroke.getKeyStroke(keyCode, modifiers);
	}
}
