/*
 * Created on 2006/01/05
 *
 * Copyright (c) 2005 Nooto Poject.  All rights reserved.
 */
package note.control.action;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;

import note.command.AbstractCommand;

/**
 * R}htANVB
 * 
 * @author camei
 * @version $Id: NoteAction.java,v 1.3 2006/01/28 00:13:58 camei Exp $
 */
public class NoteAction extends AbstractAction {

	/***************************************************************************
	 * 萔
	 **************************************************************************/
	private static final long serialVersionUID = 1L;

	/***************************************************************************
	 * ϐ
	 **************************************************************************/
	private final AbstractCommand command;

	/**
	 * RXgN^B
	 * 
	 * @param application NoteApplication
	 * @param name O
	 * @param command R}h
	 */
	public NoteAction(String name, AbstractCommand command) {
		super(name);
		this.command = command;
	}

	/**
	 * RXgN^B
	 * 
	 * @param application NoteApplication
	 * @param name O
	 * @param icon ACR
	 * @param command R}h
	 */
	public NoteAction(String name, Icon icon, AbstractCommand command) {
		super(name, icon);
		this.command = command;
	}

	/**
	 * ANV̏B
	 * 
	 * @param e ActionEvent
	 */
	public void actionPerformed(ActionEvent e) {
		command.executeToApplication();
	}

	/**
	 * @return ̃ANVLǂ
	 * @see javax.swing.AbstractAction#isEnabled()
	 */
	public boolean isEnabled() {
		return command != null /* && command.canExecute() */;
	}

	// protected NoteApplication getApplication(){
	// return invoker;
	// }
}
