/**
 * 
 */
package note.viewer;

import java.awt.AlphaComposite;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.Point;

import javax.swing.JComponent;

import note.control.NoteApplicationMode;
import note.control.Pen;

/**
 * AJ[\R|[lgB<br>
 * TODO paint\bhgĂ邾ǁAƃR|[lgƂĊB
 * 
 * @author camei
 * @version $Id: AnchorViewer.java,v 1.3 2006/01/26 23:34:30 camei Exp $
 */
public class AnchorViewer extends JComponent {
	
	/***************************************************************************
	 * 萔
	 **************************************************************************/
	private static final AlphaComposite GROUP_EDIT_MODE_ANCHOR_TRANSPARENCY = AlphaComposite
			.getInstance(AlphaComposite.SRC_OVER, 0.5f);// O[vҏW[h̃AJ[ACR̓x

	/***************************************************************************
	 * ϐ
	 **************************************************************************/
	private Point anchorPoint;// AJ[̍W
	private Pen currentPen;// ݂̃y
	private NoteApplicationMode mode;// [h

	/***************************************************************************
	 * \bh
	 **************************************************************************/
	/**
	 * RXgN^B
	 */
	public AnchorViewer(Point anchorPoint, Pen currentPen,
			NoteApplicationMode mode) {
		this.anchorPoint = anchorPoint;
		this.currentPen = currentPen;
		this.mode = mode;
	}

	/**
	 * `揈
	 */
	public void paint(Graphics g) {

		// AJ[̉摜
		AnchorImageProducer producer = AnchorImageProducer.getInstance();
		Image anchorImage = producer.getImage(currentPen, mode);

		// O[vҏWԂ̏ꍇ̓AJ[𔼓ɕ`悷
		if (mode.isGroupEditMode()) {
			((Graphics2D) g).setComposite(GROUP_EDIT_MODE_ANCHOR_TRANSPARENCY);
		}

		// AJ[`悷
		int x = (int) anchorPoint.getX() - AnchorImageProducer.POINTING_X;
		int y = (int) anchorPoint.getY() - AnchorImageProducer.POINTING_Y;
		g.drawImage(anchorImage, x, y, AnchorImageProducer.IMAGE_WIDTH,
				AnchorImageProducer.IMAGE_HEIGHT, this);

		// ړ̏ꍇ͈ړp̃ACRǉ
		if (!(mode.isPictureMode() && mode.isInputting() )
				&& mode.isAnchorMoveKeyPressed() && !mode.isGroupEditMode()) {
			Image imgAnchorMovingState = producer.getMovingStateImage();
			g.drawImage(imgAnchorMovingState, x, y,
					AnchorImageProducer.IMAGE_WIDTH,
					AnchorImageProducer.IMAGE_HEIGHT, this);
		}

	}
}
