/*
 * Created on 2006/01/30
 *
 * Copyright (c) 2005 Nooto Poject.  All rights reserved.
 */
package note.viewer;

import java.awt.Point;

import note.model.Group;
import note.model.GroupChangedListener;
import note.model.NoteElement;

/**
 * @author camei
 * @version $Id: GroupEditor.java,v 1.1 2006/01/31 00:52:02 camei Exp $
 */
public interface GroupEditor extends GroupChangedListener{
	Group getGroup();
	
	void setEditable(boolean isEditable);
	boolean isEditable();
	
	Point getAnchorPoint();
	
	
	/**
	 * y[WWnłĂꂽW܂ł邩ǂ肷B
	 * 
	 * @param x x
	 * @param y y
	 * @return ̃O[vw肵W܂ł邩
	 */
	boolean contains(int x, int y);

	/**
	 * y[WWnłĂꂽ`̃O[vƌ邩ǂ肷B
	 * 
	 * @param x x
	 * @param y y
	 * @param width width
	 * @param height height
	 * @return ̃O[vw肵`ƌ邩
	 */
	boolean intersects(int x, int y, int width, int height);

	
	/****
	 * I֘A
	 ***/
	boolean hasSelection();
	void clearSelection();
	Object getSelection();
	void insertElement(NoteElement element);
	
	
}
